% find out the new grown vertices, together with their old (end) vertices
function N_vex=Vupdate(B,n1,C,CapaP,ExtrE)
% N_vex(1,:)=[v1,v2, {the vertices between v1 and v2}]
% n1 is the number of edges that grew vertices
[Num_oV Num_oE]=size(B);
k1=max(CapaP(:,2));  % the maximum length of edge
N_vex=zeros(n1,(k1+1));
v_t=Num_oV-1;
for i=1:n1
    EdgeN=ExtrE(i);
    [v1 v2]=fVex(B,EdgeN);  % v1 and v2 are the old indices
    N_vex(i,1)=v1;
    N_vex(i,2)=v2;
    k2=CapaP(EdgeN,2)-1;
    for i1=1:k2
        v=v1;
        [Edge,k]=findneighbor(v,C);
        for i2=1:k
            if Edge(i2,1)>v_t
                v3=Edge(i2,1);
                break;
            end
        end
        N_vex(i,(i1+2))=v3;
        v1=v3;
        v_t=v3;   % v_ threshold
    end
end