%  add s_F values for the virtual vertices (in 'transition')
function s_F=AddVsF(s_F_origin,C,N_vex)
% size(s_F_origin): [Num_oV, (T+1)]
[row col]=size(N_vex);  % N_vex(1,:)=[v1,v2, {the vertices between v1 and v2}]
[Num_V,Num_E]=size(C);
[Num_oV,Tt]=size(s_F_origin);  % Tt:=T+1
s_F=zeros(Num_V,Tt);
s_F(1:Num_oV,:)=s_F_origin;
for i=1:row
    v1=N_vex(i,1);
    v2=N_vex(i,2);
    r1=s_F_origin(v1,:);
    r2=s_F_origin(v2,:);
    k=0;
    for i1=1:(col-2)
        k=k+1;
        if N_vex(i,i1+2)==0
            k=k-1;
            break
        end
    end
    for i2=1:k
        Delta_r=r2-r1;
        vk=N_vex(i,(i2+2));
        s_F(vk,:)=Delta_r/(k+1)*i2+r1;
    end
end