%%%%%%%%%%%%%%%%%%%%
XB_MI=GrLoc(famiIndi); % the number of indices
% XB_MI(area #,cell #, the number of people)
% alarm is the index of the problematic group
[XB_M GruNVec]=CombGru(XB_MI,famiIndi,TReXB);
TGroup=length(GruNVec); % the number of groups
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  generate the familarity vector
famiIG=famTrans(famiI,routeV,GroupCal,Num_oV,Num_V);
famiV=GeneFami(TGroup,famiIG,famiIndi,XB_MI);  % CrowdC is the number of evacuees for 5 crowds near the exits
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Str_GN=char([]);
for i=1:TGroup
    if GruNVec(i)>99
        vec_GN=['NUMBER_INITIAL_PERSONS=',num2str(GruNVec(i))];
    elseif GruNVec(i)>9
        vec_GN=['NUMBER_INITIAL_PERSONS=',num2str(GruNVec(i)),','];
    else
        vec_GN=['NUMBER_INITIAL_PERSONS=',num2str(GruNVec(i)),', '];
    end
    Str_GN(i,:)=vec_GN;
end
%%%%%%%%%%%%%%%
% prepare the string about the confined areas for the new initial positions
Str_XB=char([]);
for i=1:TGroup
 vect1=['XB=',num2str(XB_M(i,1)),',',num2str(XB_M(i,2)),',',num2str(XB_M(i,3)),',',num2str(XB_M(i,4)),',',num2str(XB_M(i,5)),',',num2str(XB_M(i,6))];
 len1=length(vect1);
 k1=50-len1;
 Space1=[];
 for i1=1:k1
     Space1=[Space1,' '];
 end
Str_XB(i,:)=[vect1,Space1];
end
%%%%%%%%%%%%%%%%%%%%%
% prepare the string for familiarity
Str_fami=char([]);
for i=1:TGroup  % KNOWN_DOOR_PROBS=0.00,1.00,1.00,1.00,0.00,0.00
    vec_f=['KNOWN_DOOR_PROBS=',num2str(famiV(i,1)),',',num2str(famiV(i,2)),',',num2str(famiV(i,3))];
    len_f=length(vec_f);
    k_f=50-len_f;
    Space_f=[];
    for i1=1:k_f
        Space_f=[Space_f,' '];
    end
    Str_fami(i,:)=[vec_f,Space_f];
end
%%%%%%%%%%%%%%%
% prepare the string for angle data
% AngV=char([]);  % ANGLE=1.00
% for i=1:cPeople
%     Avec1=['ANGLE=',num2str(XB_M(i,7))];
%     len2=length(Avec1);
%     k2=14-len2;
%     Space2=[];
%     for i2=1:k2
%         Space2=[Space2,' '];
%     end
%     AngV(i,:)=[Avec1,Space2];
% end
%%%%%%%%%%%%%%%%%%%%%
KP=char([]);
for i=1:TGroup
    iStr=num2str(i);
    liStr=length(iStr);
    if liStr==1
        k=['''Group ',num2str(i),'''','  '];
    KP=[KP;k];
    end
    if liStr==2
        k=['''Group ',num2str(i),'''',' '];
    KP=[KP;k];
    end
        if liStr==3
        k=['''Group ',num2str(i),''''];
    KP=[KP;k];
    end
end
%%%%%%%%%%%%%%%%%%%%%%
% replace the old data and get the new text for the fds file
StartD=best_data(1:TGroup,:);
for i=1:TGroup
    GruIn(i,:)=strrep(StartD(i,:),'''Group 1''',KP(i,:));
    GruIn(i,:)=strrep(GruIn(i,:),'NUMBER_INITIAL_PERSONS=10,',Str_GN(i,:));
    GruF(i,:)=strrep(GruIn(i,:),'XB=-45.60,-38.00,28.90,15.30,1.50,1.50',Str_XB(i,:));
    a=strfind(GruF(i,:),'ANGLE');la=length(GruF(i,:));
    GruF1(i,:)=[GruF(i,1:(a-1)),GruF(i,(a+11):la)];
    GruF2(i,:)=strrep(GruF1(i,:),'KNOWN_DOOR_PROBS=0.00,0.00,0.00,0.00,0.00,1.00',Str_fami(i,:));
end