function [ReXB k_x k_y]=DiviR(x_min,x_max,y_min,y_max)
% ReXB: the XB (coordinates) for new Regions
% x_max=8;
% x_min=0;
% y_max=9;
% y_min=0;
l_x=x_max-x_min;
resolution=1.0;
k_x=floor(l_x/resolution);
ux=l_x/k_x;  % unit on x axis
l_y=y_max-y_min;
k_y=floor(l_y/resolution);
uy=l_y/k_y;  % unit on y axis
ReXB=zeros(k_x*k_y,4);
ReN=k_x*k_y;
for i=1:ReN
    x_I0=mod(i,k_x);
    if x_I0==0
        x_I=k_x;
        x_I0=k_x;
    else
        x_I=x_I0;
    end
    y_I=(i-x_I0)/k_x+1;
    Sx_min=(x_I-1)*ux+x_min; % Small region, x coordinate
    Sx_max=x_I*ux+x_min;
    Sy_min=(y_I-1)*uy+y_min;
    Sy_max=y_I*uy+y_min;
    ReXB(i,:)=[Sx_min Sx_max Sy_min Sy_max];
end
