function [BGobj C_N A]=GeAdja(C)
[Num_V Num_E]=size(C);
[ExitV ke]=fExit(Num_V,Num_E,C);
k=Num_V-1+ke;   % Exit Vertices:  Num_oV,Num_V+1,.., Num_V+ke-1
C_N=zeros(k,Num_E);   % C_N: the new C after changing the exit vertices
if ke==1
    C_N=C;
else
    C_N(1:Num_V,:)=C;
    i2=0;
    for i1=1:Num_E
        if (C(Num_V,i1)~=0)
            i2=i2+1;
            if i2==1
                continue;
            else
                C_N(Num_V,i1)=0;
                C_N((Num_V+i2-1),i1)=1;
            end
        end
    end
end
A=zeros(k,k);  % A: adjacency matrix
for i=1:Num_E
    [v1 v2]=fVex(C_N,i);
    A(v1,v2)=1;
    A(v2,v1)=1;
end
BGobj = biograph(A);  % the biograph