%%%%%%%%%%%%%%%%%%%%%%%%%
% define the frames for areas
ReConf=zeros(26,4);
ReConf(1,:)=[-18.25 -15.85 -1 1.9];
ReConf(2,:)=[-18.25 -15.85 1.9 6.9];
ReConf(3,:)=[-15.85 -11.9 2.6 6.8];
ReConf(4,:)=[-11.5 -9.2 6.6 9.8];
ReConf(5,:)=[-9.2 -4.2 6.6 9.8];   
ReConf(6,:)=[-11.9 -8.2 4.75 6.6];
ReConf(7,:)=[-8.2 -4.2 4.75 6.6];
ReConf(8,:)=[-4.2 -1.2 6.6 9.8];
ReConf(9,:)=[-4.2 -1.2 3.6 6.6];
ReConf(10,:)=[-1.2 0.7 3.6 9.8];
ReConf(11,:)=[-4.2 -1.2 1.5 3.6];
ReConf(12,:)=[-11.9 -4.8 -0.9 4.75];
ReConf(13,:)=[-11.9 -4.8 -3.2 -0.9];
ReConf(14,:)=[-1.2 5.5 1.5 3.6];
ReConf(15,:)=[5.5 12.1 1.5 3.6];
ReConf(16,:)=[-4.8 4.4 -5.3 1.5];
ReConf(17,:)=[-11.9 -7.3 -10.9 -3.2];
ReConf(18,:)=[-7.3 -3.4 -10.9 -5.3];
ReConf(19,:)=[-3.4 -1.9 -8.1 -5.3];
ReConf(20,:)=[-3.4 -1.9 -10.9 -8.1];
ReConf(21,:)=[-1.9 9.2 -10.9 -5.3];
ReConf(22,:)=[9.2 12.1 -10.9 -5.3];
ReConf(23,:)=[4.4 12.1 -5.3 1.5];
ReConf(24,:)=[-4.8 4.6 -8.1 0];
ReConf(25,:)=[-13 -9.8 2.6 5.5];
ReConf(26,:)=[8.1 12.1 -8.0 -5.3];
Num_oV=23;
cN=zeros(1,Num_oV);   % test the largest number of cells contained in an
%area: 102  change when changing the size
for i=1:Num_oV % 23 is the number of vertices (except the safe area)
    [ReXB k_x k_y]=DiviR(ReConf(i,1),ReConf(i,2),ReConf(i,3),ReConf(i,4));
    cN(i)=k_x*k_y;
end
cNum=max(cN);
%%%% divide each region into several cells
TReXB=zeros(Num_oV,cNum,4);   % TReXB(area #, cell #, the PosX vector)
for i=1:Num_oV
    [ReXB k_x k_y]=DiviR(ReConf(i,1),ReConf(i,2),ReConf(i,3),ReConf(i,4));
    [R_row R_col]=size(ReXB);
    TReXB(i,1:R_row,:)=ReXB;
end
for i=(Num_oV+1):(Num_oV+3)
    TReXB(i,1,:)=[ReConf(i,1),ReConf(i,2),ReConf(i,3),ReConf(i,4)];
end