% Assign the shortest route to different exits by heuristics
% safe zone (vertex 56) is not included
function [SrouteV EdgeV]=heuriR(Num_V,Num_E,ExitV,ke,B,BGobj) % the shortest path
%for candidate v and the suggested route (as part route)
%  ????? not sure about the last vertex (no route assigned) 
%  SrouteV(every vertex, every exit, the vector of path)
SrouteV=zeros(Num_V,ke,Num_V);
EdgeV=zeros(Num_V,ke,Num_E);
for i=1:(Num_V-1)
    for i1=1:ke
        [dist1,path,pred] = shortestpath(BGobj,i,ExitV(i1),'directed',false,'method','BFS');
        SrouteV(i,i1,1:(dist1+1))=path;
        SrouteV(i,i1,(dist1+2))=Num_V; % suppose (Num_V is the vertex of exit)
        for i2=1:(dist1+1)
            [EdgeN flag]=EdgeF(SrouteV(i,i1,i2),SrouteV(i,i1,i2+1),B);
            EdgeV(i,i1,i2)=EdgeN;
        end
    end
end